﻿using C1.Win.C1SuperTooltip;
using C1.Win.C1FlexGrid;
using System.Windows.Forms;
using System.Data;

namespace FlexGrid.SuperLabel
{
    public partial class Form1 : Form
    {
        C1SuperLabel _html = new C1SuperLabel();

        public Form1()
        {
            InitializeComponent();

            c1FlexGrid1.DataSource = GetDataTable();

            c1FlexGrid1.DrawMode = DrawModeEnum.OwnerDraw;
            c1FlexGrid1.OwnerDrawCell += C1FlexGrid1_OwnerDrawCell;
        }

        private void C1FlexGrid1_OwnerDrawCell(object sender, OwnerDrawCellEventArgs e)
        {
            if (c1FlexGrid1.Cols[e.Col].Name.Equals("Html") && e.Row >= c1FlexGrid1.Rows.Fixed)
            {
                e.DrawCell(DrawCellFlags.Border | DrawCellFlags.Background);
                _html.Text = e.Text;
                _html.DrawToGraphics(e.Graphics, e.Bounds);
                e.Handled = true;
            }
        }
        private DataTable GetDataTable()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Html", typeof(string));

            for (int i = 0; i < 40; i++)
            {
                dt.Rows.Add(Properties.Resources.HtmlString);
            }
            return dt;
        }
    }
}
